package yslifes.db;

public class DataSource {
	private static com.mysql.jdbc.jdbc2.optional.MysqlDataSource ds = null;
	private static java.util.Properties p = null;

	public static javax.sql.DataSource getPool() {
		// com.mysql.jdbc.jdbc2.optional. ds = null;
		if (ds == null)
		// try
		{
			// ds = new oracle.jdbc.pool.OracleConnectionPoolDataSource ();
			if (p == null)
				loadSetting();
			ds = new com.mysql.jdbc.jdbc2.optional.MysqlDataSource();

			// ǤJѼ
			// ds.setDriverType("thin");
			ds.setServerName(p.getProperty("ServerName"));
			ds.setPortNumber(Integer.parseInt(p.getProperty("Port")));
			ds.setDatabaseName(p.getProperty("DB_Name"));
			ds.setUser(p.getProperty("DB_User"));
			ds.setPassword(p.getProperty("DB_PW"));
			//ds.setEncoding("utf-8");
			ds.setCharacterEncoding("utf-8");
			//ds.set
		}
		// catch(java.sql.SQLException ex)
		// {
		// System.out.println(ex);
		// }

		return ds;
	}

	public static java.sql.Connection getConnection() throws java.sql.SQLException {
		return getPool().getConnection();
	}

	private static void loadSetting() {
		java.io.FileReader fr = null;
		java.io.BufferedReader in = null;
		p = new java.util.Properties();
		try {
			fr = new java.io.FileReader(yslifes.db.DataSource.class
					.getResource("/setting.properties").getPath());
			in = new java.io.BufferedReader(fr);
			String str = null;

			while ((str = in.readLine()) != null) {
				String data[] = str.split("=");
				if (data.length > 0)
					p.setProperty(data[0], data[1]);
			}
		} catch (java.io.IOException e) {
		}
	}

}
